%define	major 1.4
%define libname %mklibname ntirpc %{major}
%define develname %mklibname ntirpc -d


%global		_hardened_build 1

Name:		libntirpc
Version:	1.4.3
Release:	%mkrel 1
Summary:	New Transport Independent RPC Library
Group:		System/Libraries
License:	BSD
Url:		https://github.com/nfs-ganesha/ntirpc
Source0:	https://github.com/nfs-ganesha/ntirpc/archive/v%{version}/ntirpc-%{version}.tar.gz
Patch0:		ntirpc-1.3.1-fix-pkg-config-file.patch
BuildRequires:	cmake
BuildRequires:	krb5-devel

%description
This package contains a new implementation of the original libtirpc, 
transport-independent RPC (TI-RPC) library for NFS-Ganesha. It has
the following features not found in libtirpc:
 1. Bi-directional operation
 2. Full-duplex operation on the TCP (vc) transport
 3. Thread-safe operating modes
 3.1 new locking primitives and lock callouts (interface change)
 3.2 stateless send/recv on the TCP transport (interface change)
 4. Flexible server integration support
 5. Event channels (remove static arrays of xprt handles, new EPOLL/KEVENT
    integration)

%package -n	%{libname}
Summary:	Transport Independent RPC Library
Group:		System/Libraries
Obsoletes:	%{_lib}ntirpc1 < 1.3.0-4

%description -n	%{libname}
This package contains a new implementation of the original libtirpc, 
transport-independent RPC (TI-RPC) library for NFS-Ganesha. It has
the following features not found in libtirpc:
 1. Bi-directional operation
 2. Full-duplex operation on the TCP (vc) transport
 3. Thread-safe operating modes
 3.1 new locking primitives and lock callouts (interface change)
 3.2 stateless send/recv on the TCP transport (interface change)
 4. Flexible server integration support
 5. Event channels (remove static arrays of xprt handles, new EPOLL/KEVENT
    integration)



%package -n	%{develname}
Summary:	Development headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	ntirpc-devel = %{version}-%{release}
Obsoletes:	%{mklibname ntirpc 1 -d}

%description -n	%{develname}
Development headers and auxiliary files for developing with %{name}.

%prep
%setup -q -n ntirpc-%{version}
%autopatch -p1

%build
%cmake -DOVERRIDE_INSTALL_PREFIX=%{_prefix} -DTIRPC_EPOLL=1 -DUSE_GSS=ON "-GUnix Makefiles"
%make

%install
%make_install -C build

#install CMake files
mkdir -p %{buildroot}%{_libdir}/cmake/%{name}/
install -pm644 cmake/modules/FindNTIRPC.cmake %{buildroot}%{_libdir}/cmake/%{name}/
install -pm644 cmake/modules/LibFindMacros.cmake %{buildroot}%{_libdir}/cmake/%{name}/

%files -n %{libname}
%doc NEWS README
%{_libdir}/libntirpc.so.%{major}
%{_libdir}/libntirpc.so.%{major}.*
%license COPYING


%files -n %{develname}
%{_libdir}/libntirpc.so
%{_includedir}/ntirpc/
%{_libdir}/pkgconfig/libntirpc.pc
%{_libdir}/cmake/%{name}/


%changelog
* Wed Oct 26 2016 luigiwalser <luigiwalser> 1.4.3-1.mga6
+ Revision: 1063601
- 1.4.3

* Wed Feb 24 2016 spuhler <spuhler> 1.4.0-0.pre1.1.mga6
+ Revision: 977708
- upgrade to vers. 1.4.0pre1

* Mon Feb 15 2016 umeabot <umeabot> 1.3.1-3.mga6
+ Revision: 961153
- Mageia 6 Mass Rebuild

* Tue Oct 27 2015 wally <wally> 1.3.1-2.mga6
+ Revision: 895860
- let CMake install files to /usr/include/ntirpc directory

* Tue Oct 27 2015 wally <wally> 1.3.1-1.mga6
+ Revision: 895851
- new version 1.3.1
- drop unneeded patches
- rediff pkg-config .pc file patch
- add cmake modules to devel pkg

* Sat Oct 24 2015 wally <wally> 1.3.0-5.mga6
+ Revision: 894924
- add patch to fix pkg-config .pc file
- replace linking fix with one from upstream

* Sat Oct 24 2015 wally <wally> 1.3.0-4.mga6
+ Revision: 894906
- fix lib pkg name (make it to match with SONAME)

* Sat Oct 24 2015 wally <wally> 1.3.0-3.mga6
+ Revision: 894897
- drop unexisting requires
- build with %%cmake macro
- add patch to fix linking

* Thu Oct 22 2015 spuhler <spuhler> 1.3.0-2.mga6
+ Revision: 894066
- correctly name the libs

* Wed Oct 21 2015 spuhler <spuhler> 1.3.0-1.mga6
+ Revision: 893946
- first build
- imported package libntirpc

